Subject: Re: MidStr
From: [email-masked]
To: [email-masked]
Date: Fri, 30 Jul 93 12:11:55 PDT

>Check that you have got the parameters to InStr the right
>way round - all languages order these things differently
>and I can never remember which way round they go.
>
>Next insert a WriteF('\d\n',endpos) after the endpos
>assignment. If there is no \n in the buffer, endpos-pos
>will be a negative number and could cause MidStr to return
>all the characters it finds.
>
>Also check that the parameters to MidStr are right. I once
>got the parameters to StrCpy the wrong way round - I
>thought it would be (source,dest) but it isn't. Took me
>the best part of a day to figure that bug out.
>
>Some E string functions require you to use E strings -
>i.e. declare them as s[80]:STRING or something like that.
>I would guess that this is the most likely problem.
>Remember that if you do DEF a,b:STRING then a is a LONG
>and b is a STRING. A similar statement in Pascal would
>make both variables strings - that's a feature of E which
>has caught me out many a time.
>
>Hope this helps :-)
>
>Dave.

    Thanx....I di finally get this about 10 minutes after the mail went out:-)
I stared REAL hard at it, and finally said "Well, if StringF needs it, might
as well try definging them as strings for MidStr()..."   Now I am having
problems somewhere in my saving routines....gotta go stare at that now!

 / / /
/_/_/iZ

MODULE 'WiZkId'
PROC main()
  wizkid.inetaddress:=[email-masked]'
  wizkid.realname:='Jeffrey J Peden ]['
ENDPROC

*-- GammaTag Version 2.8 --*
*-- Morality is a private and costly luxury.